没有这种模块 IQKeyboardManagerSwift

标签: ios Swift
发布时间: 2017/3/6 23:03:40
注意事项: 本文中文内容可能为机器翻译,如要查看英文原文请点击上面连接.

输入图像描述在这里我是新来 iOS Swift 和尝试安装此框架。

我已经安装了这一框架由 cocoa pods 和在应用程序委托添加这条线

import IQKeyboardManagerSwift & IQKeyboardManager.sharedManager().enable = true

我现在得到这个错误 (

没有这种模块 IQKeyboardManagerSwift)

任何人可以帮我吗?

解决方法 1:

首先检查 swift 和 Xcode 版本使用,并且如果该版本支持 pod 文件使用

Swift 2.2 (Xcode 7.3)使用:-

pod 'IQKeyboardManagerSwift'

pod 'IQKeyboardManagerSwift', '4.0.3'

Swift 2.1.1 (Xcode 7.2) 使用:-

pod 'IQKeyboardManagerSwift', '4.0.0'

Swift 2.0 (Xcode 7.0) 使用:-

pod 'IQKeyboardManagerSwift', '3.3.3.1'

我有类似的问题,原来安装的两个 Cocoapods 实例,,这是一个 Cocoapods 问题不 Xcode 之一 (在我的例子是)。

我需要做的就是我的 cocoapod 卸载并重新安装http://stackoverflow.com/a/27940867/6297658...... 这工作对我来说...

一旦您完成重新安装您的 pod 文件去添加豆荚根据版本的 swift 和 Xcode 您正在使用,然后运行pod install

PS: Cocoapods 回购是近 350 MB,所以如果你下载坚持不辞职 Terminal 和开始再次重新安装先卸载 Cocoapodsold master repo 两个完全,然后开始再次安装......这可能是什么引起的这两个实例以我为例

赞助商